


use "论文数据-税收征管数字化与企业盈余管理的策略性选择：基于“金税三期”工程的准自然实验.dta",clear

* 描述性统计（附表B.1） *
global controls "Size Age IND Labor Lev ROA CFO SI LOSS FIR MS GDP SIP"

tabstat AEM REM CEM Reform $controls, s(N mean p50 sd min max) f(%12.4f) c(s)

* 政策前处理组样本三类盈余管理描述性统计（第29页注3） *
tabstat AEM REM CEM , s(N mean p50 sd min max) f(%12.4f) c(s), if year<=2012 & treat == 1

* 基准回归（表2） *
{
* 定义面板数据 *
xtset stkcd year

reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo base_aem
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo base_rem
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo base_cem
* 真实盈余管理三项子指标回归结果（表2注2） *
//注：销售操控和酌量性费用操控为反向指标，销售操控和酌量性费用操控程度越高，表示真实盈余管理程度越低
reghdfe REM_CFO Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo base_rem_cfo
reghdfe REM_PROD Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo base_rem_prod
reghdfe REM_DISEXP Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo base_rem_disexp
}

* 平行趋势检验（图1） *
{
reghdfe AEM pre* current post* $controls, ab(stkcd year) vce(cluster province_id)
eststo para_aem

coefplot para_aem, levels(95) omitted keep(pre* current post*) vertical coeflabels(pre7="t-7" pre6="t-6" pre5="t-5" pre4="t-4" pre3="t-3" pre2="t-2" pre1="t-1" current="t0" post1="t+1" post2="t+2" post3="t+3") yline(0,lcolor(edkblue*0.8)) xline(7,lwidth(vthin) lpattern(dash) lcolor(teal)) title("AEM") ytitle("Point Estimate",orientation(horizontal) size(Medium large) margin(small)) xtitle("Policy Year",size(Medium large) margin(small)) addplot(line @b @at) ciopts(recast(rcap)) recast(connect) msize(medium) msymbol(circle_hollow) scheme(simono) graphregion(color(white)) 

reghdfe REM pre* current post* $controls, ab(stkcd year) vce(cluster province_id)
eststo para_rem

coefplot para_rem, levels(95) omitted keep(pre* current post*) vertical coeflabels(pre7="t-7" pre6="t-6" pre5="t-5" pre4="t-4" pre3="t-3" pre2="t-2" pre1="t-1" current="t0" post1="t+1" post2="t+2" post3="t+3") yline(0,lcolor(edkblue*0.8)) xline(7,lwidth(vthin) lpattern(dash) lcolor(teal)) title("REM") ytitle("Point Estimate",orientation(horizontal) size(Medium large) margin(small)) xtitle("Policy Year",size(Medium large) margin(small)) addplot(line @b @at) ciopts(recast(rcap)) recast(connect) msize(medium) msymbol(circle_hollow) scheme(simono) graphregion(color(white)) 

reghdfe CEM pre* current post* $controls, ab(stkcd year) vce(cluster province_id)
eststo para_cem

coefplot para_cem, levels(95) omitted keep(pre* current post*) vertical coeflabels(pre7="t-7" pre6="t-6" pre5="t-5" pre4="t-4" pre3="t-3" pre2="t-2" pre1="t-1" current="t0" post1="t+1" post2="t+2" post3="t+3") yline(0,lcolor(edkblue*0.8)) xline(7,lwidth(vthin) lpattern(dash) lcolor(teal)) title("CEM") ytitle("Point Estimate",orientation(horizontal) size(Medium large) margin(small)) xtitle("Policy Year",size(Medium large) margin(small)) addplot(line @b @at) ciopts(recast(rcap)) recast(connect) msize(medium) msymbol(circle_hollow) scheme(simono) graphregion(color(white)) 

}

* 安慰剂检验（图2） *
* 注：安慰剂检验后需重新打开主数据集 *
{
* 该处每次进行安慰剂检验的随机数存在微小差异，若需复现本文结果，请直接使用作者提供的simulation_aem.dta、simulation_rem.dta、simulation_cem.dta文件 *
set seed 321
permute Reform _b[Reform], reps(1000) saving("simulation_aem.dta",replace) : reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id)

permute Reform _b[Reform], reps(1000) saving("simulation_rem.dta",replace) : reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id)

permute Reform _b[Reform], reps(1000) saving("simulation_cem.dta",replace) : reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id)

* 安慰剂画图 *
use "simulation_aem.dta", clear
dpplot _pm_1,msize(vsmall) mcolor(black) graphregion(sty(none) fcolor(white)) xline(-.0068954, lc(black*0.5) lp(dash)) title ("AEM",siz(medium) orientation(horizontal)) xtitle("Estimated coefficients for false reform", size(*0.8)) xlabel(-0.010 -0.005 0 0.005 0.010 , labsize(small)) ytitle("Density", size(*0.8)) ylabel(, nogrid format(%4.0f) labsize(small)) saving("placebo_aem.gph", replace)

use "simulation_rem.dta", clear
dpplot _pm_1,msize(vsmall) mcolor(black) graphregion(sty(none) fcolor(white)) xline(-.0351959, lc(black*0.5) lp(dash)) title ("REM",siz(medium) orientation(horizontal)) xtitle("Estimated coefficients for false reform", size(*0.8)) xlabel(-0.05 -0.025 0 0.025 0.05 , labsize(small)) ytitle("Density", size(*0.8)) ylabel(, nogrid format(%4.0f) labsize(small)) saving("placebo_rem.gph", replace)

use "simulation_cem.dta", clear
dpplot _pm_1,msize(vsmall) mcolor(black) graphregion(sty(none) fcolor(white)) xline(.0060551, lc(black*0.5) lp(dash)) title ("CEM",siz(medium) orientation(horizontal)) xtitle("Estimated coefficients for false reform", size(*0.8)) xlabel(-0.010 -0.005 0 0.005 0.010 , labsize(small)) ytitle("Density", size(*0.8)) ylabel(, nogrid format(%4.0f) labsize(small)) saving("placebo_cem.gph", replace)

}

* 重新打开主数据集 *
use "论文数据-税收征管数字化与企业盈余管理的策略性选择：基于“金税三期”工程的准自然实验.dta",clear

global controls "Size Age IND Labor Lev ROA CFO SI LOSS FIR MS GDP SIP"

* 排除同期财税政策影响 *
{
* “营改增”（附表C.1） *
reghdfe AEM Reform bvt $controls, ab(stkcd year) vce(cluster province_id)
eststo bvt_aem
reghdfe REM Reform bvt $controls, ab(stkcd year) vce(cluster province_id)
eststo bvt_rem
reghdfe CEM Reform bvt $controls, ab(stkcd year) vce(cluster province_id)
eststo bvt_cem
* 2014、2015固定资产加速折旧政策（附表C.1） *
reghdfe AEM Reform incent $controls, ab(stkcd year) vce(cluster province_id)
eststo incent_aem
reghdfe REM Reform incent $controls, ab(stkcd year) vce(cluster province_id)
eststo incent_rem
reghdfe CEM Reform incent $controls, ab(stkcd year) vce(cluster province_id)
eststo incent_cem
}

* 排除竞争性解释干扰（附表C.2） *
{
gen AEM_UP = 1 if AEM > 0
replace AEM_UP = 0 if AEM_UP == .
gen AEM_UP_Reform = AEM_UP * Reform

reghdfe AEM AEM_UP_Reform AEM_UP Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo aem_up

gen REM_UP = 1 if REM > 0
replace REM_UP = 0 if REM_UP == .
gen REM_UP_Reform = REM_UP * Reform

reghdfe REM REM_UP_Reform REM_UP Reform $controls, ab(stkcd year) vce(cluster province_id)
eststo rem_up

}

* 多时点DID异质性处理效应（附表C.3） *
{
* Sun and Abraham (2020) *
{
sum policy_year
gen never_treat = (policy_year == .)

eventstudyinteract AEM Reform,vce(cluster province_id) absorb(stkcd year) cohort(policy_year) control_cohort(never_treat) covariates($controls)

eventstudyinteract REM Reform,vce(cluster province_id) absorb(stkcd year) cohort(policy_year) control_cohort(never_treat) covariates($controls)

eventstudyinteract CEM Reform,vce(cluster province_id) absorb(stkcd year) cohort(policy_year) control_cohort(never_treat) covariates($controls)
}

* Butts and Gardner（2022） *
{

sum policy_year
forvalues l = 0/7 {
    gen L`l'event = dyear==`l'
}
forvalues l = 1/3 {
     gen F`l'event = dyear==-`l'
 }

replace F1event = 0

gen D = dyear>=0 & policy_year!=.

did2s AEM, first_stage($controls i.stkcd i.year) second_stage(Reform) treatment(D) cluster(province_id)

did2s REM, first_stage($controls i.stkcd i.year) second_stage(Reform) treatment(D) cluster(province_id)

did2s CEM, first_stage($controls i.stkcd i.year) second_stage(Reform) treatment(D) cluster(province_id)


}

* Cengiz 等 (2019)  *
{

gen no_treat = (policy_year == .)

set seed 202404

//stackedev命令只能单次运行，运行一次后会改变数据集，需要重新处理基础数据，因此使用preserve和restore保存原数据集
preserve
stackedev AEM Reform $controls, cohort(policy_year) time(year) never_treat(no_treat) unit_fe(stkcd) clust_unit(province_id)
restore

preserve
stackedev REM Reform $controls, cohort(policy_year) time(year) never_treat(no_treat) unit_fe(stkcd) clust_unit(province_id)
restore

preserve
stackedev CEM Reform $controls, cohort(policy_year) time(year) never_treat(no_treat) unit_fe(stkcd) clust_unit(province_id)
restore
}

}

* 机制分析 *
{
* 第一步：信息不对称（表3） *
* 机构投资者持股比 *
{
bysort stkcd:egen institude_unique=mean(institude) if year>=2010&year<=2012
bysort stkcd:egen institude_1012=max(institude_unique)
drop institude_unique
label var institude_1012 "2010-2012年末机构投资者持股比"

//根据十分位数split分组，参考Zwick and Mahon（2017）（AER）用最高三组与最低三组比较
pctile p_institude_1012 = institude_1012, nq(10) // nq(#) 指定分9个百分位数,把样本切割为10组
list p_institude_1012 in 1/10, sep(0)

reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if institude_1012>=.634036
eststo aem_institude_high
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if institude_1012<.4221697
eststo aem_institude_low
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if institude_1012>=.634036
eststo rem_institude_high
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if institude_1012<.4221697
eststo rem_institude_low
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if institude_1012>=.634036
eststo cem_institude_high
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if institude_1012<.4221697
eststo cem_institude_low
}

* 样本期间是否始终四大审计 *
{
bysort stkcd:egen big4_unique=mean(big4) 
bysort stkcd:egen big4_always=max(big4_unique)
drop big4_unique
label var big4_always "样本期间是否均由四大审计"

reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if big4_always==1
eststo aem_big4
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if big4_always!=1
eststo aem_non_big4
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if big4_always==1
eststo rem_big4
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if big4_always!=1
eststo rem_non_big4
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if big4_always==1
eststo cem_big4
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if big4_always!=1
eststo cem_non_big4
}

* 第二步：三类盈余管理替代作用（表4） *
* AEM *
{
bysort stkcd:egen AEM_unique=mean(AEM) if year>=2010&year<=2012
bysort stkcd:egen AEM_1012=max(AEM_unique)
drop AEM_unique
label var AEM_1012 "2010-2012年末应计盈余管理均值"
//根据十分位数split分组，参考Zwick and Mahon（2017）（AER）用最高三组与最低三组比较
pctile p_AEM_1012 = AEM_1012, nq(10) // nq(#) 指定分9个百分位数,把样本切割为10组
list p_AEM_1012 in 1/10, sep(0)

reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if AEM_1012>=.0295323
eststo cem_aem_high
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if AEM_1012<-.0237982
eststo cem_aem_low
}

* REM *
{
bysort stkcd:egen REM_unique=mean(REM) if year>=2010&year<=2012
bysort stkcd:egen REM_1012=max(REM_unique)
drop REM_unique
label var REM_1012 "2010-2012年末真实盈余管理均值"
//根据十分位数split分组，参考Zwick and Mahon（2017）（AER）用最高三组与最低三组比较
pctile p_REM_1012 = REM_1012, nq(10) // nq(#) 指定分9个百分位数,把样本切割为10组
list p_REM_1012 in 1/10, sep(0)

reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if REM_1012>=.0809158
eststo cem_rem_high
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if REM_1012<=-.0508487
eststo cem_rem_low
}

}

* 异质性分析：所有权性质（附表D.1） *
{
//国有企业soe为1，非国有企业soe为0
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if soe==1 
eststo aem_soe
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if soe==0
eststo aem_non_soe
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if soe==1 
eststo rem_soe
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if soe==0
eststo rem_non_soe
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if soe==1 
eststo cem_soe
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if soe==0
eststo cem_non_soe
}

* 异质性分析：政治关联（附表D.2） *
{
//政治关联企业pc为1，非政治关联企业pc为0
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if pc==1
eststo aem_pc
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if pc==0
eststo aem_non_pc
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if pc==1
eststo rem_pc
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if pc==0
eststo rem_non_pc
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if pc==1
eststo cem_pc
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if pc==0
eststo cem_non_pc
}

* 异质性分析：国地税征管（附表D.3） *
{
//国税局征管企业NTB为1，地税局征管企业NTB为0
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if NTB==1
eststo aem_ntb
reghdfe AEM Reform $controls, ab(stkcd year) vce(cluster province_id),if NTB==0
eststo aem_non_ntb
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if NTB==1
eststo rem_ntb
reghdfe REM Reform $controls, ab(stkcd year) vce(cluster province_id),if NTB==0
eststo rem_non_ntb
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if NTB==1
eststo cem_ntb
reghdfe CEM Reform $controls, ab(stkcd year) vce(cluster province_id),if NTB==0
eststo cem_non_ntb
}





